if (!defined &_MVME68K_CPU_H_) {
    eval 'sub _MVME68K_CPU_H_ {1;}';
    eval 'sub M68K_MMU_MOTOROLA {1;}';
    require 'm68k/cpu.ph';
    eval 'sub cpu_swapin {
        local($p) = @_;
        eval "";
    }';
    eval 'sub cpu_wait {
        local($p) = @_;
        eval "";
    }';
    eval 'sub cpu_swapout {
        local($p) = @_;
        eval "";
    }';
    eval 'sub CLKF_USERMODE {
        local($framep) = @_;
        eval "((($framep)-> &sr &  &PSL_S) == 0)";
    }';
    eval 'sub CLKF_BASEPRI {
        local($framep) = @_;
        eval "((($framep)-> &sr &  &PSL_IPL) == 0)";
    }';
    eval 'sub CLKF_PC {
        local($framep) = @_;
        eval "(($framep)-> &pc)";
    }';
    if (0) {
	eval 'sub CLKF_INTR {
	    local($framep) = @_;
	    eval "((($framep)-> &sr &  &PSL_M) == 0)";
	}';
    }
    else {
	eval 'sub CLKF_INTR {
	    local($framep) = @_;
	    eval "(0)";
	}';
    }
    eval 'sub need_resched {
        eval "{  &want_resched++;  &aston(); }";
    }';
    eval 'sub need_proftick {
        local($p) = @_;
        eval "{ ($p)-> &p_flag |=  &P_OWEUPC;  &aston(); }";
    }';
    eval 'sub signotify {
        local($p) = @_;
        eval " &aston()";
    }';
    eval 'sub aston {
        eval "( &astpending++)";
    }';
    eval 'sub SIR_NET {0x1;}';
    eval 'sub SIR_CLOCK {0x2;}';
    eval 'sub setsoftint {
        local($x) = @_;
        eval " &ssir |= ($x)";
    }';
    eval 'sub setsoftnet {
        eval " &ssir |=  &SIR_NET";
    }';
    eval 'sub setsoftclock {
        eval " &ssir |=  &SIR_CLOCK";
    }';
    eval 'sub CPU_CONSDEV {1;}';
    eval 'sub CPU_MAXID {2;}';
    eval 'sub CTL_MACHDEP_NAMES {{ { 0, 0 }, { "console_device",  &CTLTYPE_STRUCT }, };}';
    eval 'sub MMU_68040 {-2;}';
    eval 'sub MMU_68030 {-1;}';
    eval 'sub MMU_68851 {1;}';
    eval 'sub EC_PHYS {-1;}';
    eval 'sub EC_NONE {0;}';
    eval 'sub EC_VIRT {1;}';
    if (defined &_KERNEL) {
    }
    eval 'sub INTIOBASE_147 {(0xfffe0000);}';
    eval 'sub INTIOTOP_147 {(0xfffe5000);}';
    eval 'sub INTIOSIZE_147 {(( &INTIOTOP_147- &INTIOBASE_147)/ &NBPG);}';
    eval 'sub INTIOBASE_162 {(0xfff00000);}';
    eval 'sub INTIOTOP_162 {(0xfffd0000);}';
    eval 'sub INTIOSIZE_162 {(( &INTIOTOP_162- &INTIOBASE_162)/ &NBPG);}';
    eval 'sub ISIIOVA {
        local($va) = @_;
        eval "(($va) >=  &intiobase && ($va) <  &intiolimit)";
    }';
    eval 'sub IIOV {
        local($pa) = @_;
        eval "(($pa)- &iiomapbase+ &intiobase)";
    }';
    eval 'sub IIOP {
        local($va) = @_;
        eval "(($va)- &intiobase+ &iiomapbase)";
    }';
    eval 'sub IIOPOFF {
        local($pa) = @_;
        eval "(($pa)- &iiomapbase)";
    }';
    eval 'sub PMMU_LVLMASK {0x0007;}';
    eval 'sub PMMU_INV {0x0400;}';
    eval 'sub PMMU_WP {0x0800;}';
    eval 'sub PMMU_ALV {0x1000;}';
    eval 'sub PMMU_SO {0x2000;}';
    eval 'sub PMMU_LV {0x4000;}';
    eval 'sub PMMU_BE {0x8000;}';
    eval 'sub PMMU_FAULT {( &PMMU_WP| &PMMU_INV);}';
    eval 'sub MMU4_RES {0x001;}';
    eval 'sub MMU4_TTR {0x002;}';
    eval 'sub MMU4_WP {0x004;}';
    eval 'sub MMU4_MOD {0x010;}';
    eval 'sub MMU4_CMMASK {0x060;}';
    eval 'sub MMU4_SUP {0x080;}';
    eval 'sub MMU4_U0 {0x100;}';
    eval 'sub MMU4_U1 {0x200;}';
    eval 'sub MMU4_GLB {0x400;}';
    eval 'sub MMU4_BE {0x800;}';
    eval 'sub FC_USERD {1;}';
    eval 'sub FC_USERP {2;}';
    eval 'sub FC_SUPERD {5;}';
    eval 'sub FC_SUPERP {6;}';
    eval 'sub FC_CPU {7;}';
    eval 'sub IC_ENABLE {0x0001;}';
    eval 'sub IC_FREEZE {0x0002;}';
    eval 'sub IC_CE {0x0004;}';
    eval 'sub IC_CLR {0x0008;}';
    eval 'sub IC_BE {0x0010;}';
    eval 'sub DC_ENABLE {0x0100;}';
    eval 'sub DC_FREEZE {0x0200;}';
    eval 'sub DC_CE {0x0400;}';
    eval 'sub DC_CLR {0x0800;}';
    eval 'sub DC_BE {0x1000;}';
    eval 'sub DC_WA {0x2000;}';
    eval 'sub CACHE_ON {( &DC_WA| &DC_BE| &DC_CLR| &DC_ENABLE| &IC_BE| &IC_CLR| &IC_ENABLE);}';
    eval 'sub CACHE_OFF {( &DC_CLR| &IC_CLR);}';
    eval 'sub CACHE_CLR {( &CACHE_ON);}';
    eval 'sub IC_CLEAR {( &DC_WA| &DC_BE| &DC_ENABLE| &IC_BE| &IC_CLR| &IC_ENABLE);}';
    eval 'sub DC_CLEAR {( &DC_WA| &DC_BE| &DC_CLR| &DC_ENABLE| &IC_BE| &IC_ENABLE);}';
    eval 'sub IC4_ENABLE {0x00008000;}';
    eval 'sub DC4_ENABLE {0x80000000;}';
    eval 'sub CACHE4_ON {( &IC4_ENABLE| &DC4_ENABLE);}';
    eval 'sub CACHE4_OFF {(0);}';
    eval 'sub CPU_147 {0x147;}';
    eval 'sub CPU_162 {0x162;}';
    eval 'sub CPU_166 {0x166;}';
    eval 'sub CPU_167 {0x167;}';
    eval 'sub CPU_172 {0x172;}';
    eval 'sub CPU_177 {0x177;}';
}
1;
